Bug 59280

Summary: Update the NSIS Installer to version 2.51
Product: Tomcat 9 Reporter: Konstantin Kolinko <knst.kolinko>
Component: CatalinaAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: enhancement    
Priority: P2    
Version: 9.0.0.M4   
Target Milestone: -----   
Hardware: PC   
OS: Windows XP   

Description Konstantin Kolinko 2016-04-06 11:26:54 UTC
NSIS: Nullsoft Scriptable Install System project that is used to build Windows installer for Tomcat released version 2.51 on April 1st 2016.

In its changelog [1][2] there is the following item:

* More security hardening to prevent dll hijacking


Full changelog:

[1] http://nsis.sourceforge.net/Docs/AppendixF.html#v2.51
[2] https://sourceforge.net/projects/nsis/files/NSIS%202/2.51/RELEASE.html/view
Comment 1 Konstantin Kolinko 2016-04-06 11:50:19 UTC
Fixed in all current versions of Tomcat. It will be in Tomcat 6.0.46, 7.0.69, 8.0.34, 8.5.1, 9.0.0.M5.